List applications
curl --request GET \
--url https://api.example.com/v3/applications \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/v3/applications"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/v3/applications', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"api_version": "3.0",
"kind": "PAGINATED",
"data": {
"page_size": 10,
"item_count": 10,
"total": 100,
"page_count": 10,
"page_index": 1,
"offset": 0,
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"organization": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"project": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"created_by": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "jsmith@example.com",
"full_name": "<string>"
},
"updated_by": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "jsmith@example.com",
"full_name": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]
}
}{
"api_version": "3.0",
"kind": "ERROR",
"error": {
"code": 400,
"message": "Resource Not Found",
"errors": [
{
"reason": "ResourceNotFoundException",
"message": "Resource Not Found",
"help": "<string>"
}
]
}
}{
"api_version": "3.0",
"kind": "ERROR",
"error": {
"code": 400,
"message": "Resource Not Found",
"errors": [
{
"reason": "ResourceNotFoundException",
"message": "Resource Not Found",
"help": "<string>"
}
]
}
}{
"api_version": "3.0",
"kind": "ERROR",
"error": {
"code": 400,
"message": "Resource Not Found",
"errors": [
{
"reason": "ResourceNotFoundException",
"message": "Resource Not Found",
"help": "<string>"
}
]
}
}Applications
List applications
Get list of applications in a project for provided query and filters
GET
/
v3
/
applications
List applications
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Allows you to filter by any field.
Allows you to search by any field.
Allows you to order results by any field. For desc order prefix field name with - and provide comman separated values for multiple fields
Limit for the pagination
Offset for the pagination
Response
List of applications for provided query and filters
⌘I